package com.aks.ejb30;

/**
 * This will also import all annotations defined in EJB3.0 specification.
 */
import javax.ejb.*;


/**
 * An Entity Bean indicating that container should access its persistent
 * fields through JavaBean style getter/setter method. This is the default
 * behaviour, you also a @Entity (access=PROPERTY) to make this explicit.
 * Now, persistent field variables can be private.
 */
@Entity public class Address {

	private Long id;

	private int version;
	private String street;

	/**

	 * Using a specific key generation strategy here, using a DB specific
	 * value for 'generator'. Not Good!!! I don't like it.
	 */
	@Id(generate=SEQUENCE generator="ORDER_SEQ")
	public Long getId() { return id; }
	public void setId(Long id) { this.id = id; }


	/**
	 * The version accessors are not marked with @Version annotation. Container
	 * might not use optimistic concurrency control.
	 */
	protected int getVersion() { return version; }
	protected void setVersion(int version) { this.version = version; }

	@Basic
	public String getStreet() { return street; }
	public void setStreet(String street) { this.street = street; }
}