package com.aks.ejb30;

/**
 * This will also import all annotations defined in EJB3.0 specification.
 */
import javax.ejb.*;


/**
 * An Entity Bean indicating that container should access its persistent
 * fields through JavaBean style getter/setter method. This is the default
 * behaviour, you also a @Entity (access=PROPERTY) to make this explicit.
 * Now, persistent field variables can be private.
 */
@Entity public class Order {

	private Long id;
	private int version;
	private int itemId;
	private int quantity;
	private Customer cust;

	@Id(generate=AUTO)
	public Long getId() { return id; }
	public void setId(Long id) { this.id = id; }


	@Version
	protected int getVersion() { return version; }
	protected void setVersion(int version) { this.version = version; }


	@Basic
	public int getItemId() { return itemId; }
	public void setItemId(int itemId) { this.itemId = itemId; }


	@Basic
	public int getQuantity() { return quantity; }
	public void setQuantity(int quantity) {
		this.quantity = quantity;
	}

	/**
	 * Order has ManyToOne relationshiop with Customer.
	 * @see Customer
	 */
	@ManyToOne
	public Customer getCustomer() { return cust; }
	public setCustomer(Customer cust) { this.cust = cust; }
}