package com.aks.ejb30;

/**
 * This will also import all annotations defined in EJB3.0 specification.
 */
import javax.ejb.*;


/**
 * A Stateful SB requesting with a given Business Interface
 */
@Stateful public class ShoppingCartBean implements ShoppingCart {


	private String customer;


	/**

	 * Business method, intended to initialize the bean - what used to
	 * happen in the ejbCreate in EJB2.1.
	 *
	 * Still being discussed if there should be an annotation to make it
	 * explicit that this method initializes the state of the bean.
	 */
	public void startToShop(String customer) {
		this.customer = customer;

	}

	/**
	 * A regular SFSB business method.
	 */
	public void addToCart(Item item) {
		System.out.println("Added item to cart... ");
	}

	/**
	 * This is  equivalent of ejbRemove, just that you can
	 * name it whatever you want. Session Bean instance will be
	 * removed after client calls this method.
	 */
	@Remove public void finishShopping() {
		System.out.println("Shopping Done... ");
	}
}